# This file is part of the FreeType project.
#
# It builds the library and test programs for amiga using ADE Enviroment.
#
# You will need GNU make.
#
# Use this file while in the lib directory with the following statement:
#
#   make -f arch/amigaos/Makefile.gcc

AR = ar
RM = rm

CC = gcc

CFLAGS = -Wall -pedantic -ansi -O2 -g -noixemul -Iarch/amigaos -I. -Iextend

SRC = ttapi.c    ttcache.c ttcalc.c   ttcmap.c   tterror.c  \
      ttfile.c   ttgload.c ttinterp.c ttlists.c  ttload.c   \
      ttmemory.c ttmutex.c ttobjs.c   ttraster.c ttextend.c \
      \
      extend/ftxgasp.c extend/ftxkern.c

OBJ = $(SRC:.c=.o)


all: libttf.a

libttf.a: $(OBJ) 
	$(AR) rc $@ $^

clean:
	$(RM) $(OBJ)

distclean: clean
	$(RM) dep.end libttf.a

depend:
	$(CC) -E -M $(SRC) > dep.end

ifeq (dep.end,$(wildcard dep.end))
  include dep.end
endif

# end of Makefile.gcc
